org.apache.sling.crankstart.launcher

## Class CrankstartBootstrap

- java.lang.Object
- - org.apache.sling.crankstart.launcher.CrankstartBootstrap

    public class CrankstartBootstrap
    extends Object

Execute a crankstart file

### Field Summary

Fields
`static String` `CLASSPATH_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`CrankstartBootstrap(Reader r)`
`CrankstartBootstrap(String filename)`

### Method Summary

Methods
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASSPATH_PREFIX

    public static final String CLASSPATH_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### CrankstartBootstrap

    public CrankstartBootstrap(String filename)

#### CrankstartBootstrap

    public CrankstartBootstrap(Reader r)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### start

    public void start()
               throws Exception

Throws:
  `Exception`